PROGRAM TEST;
VAR
   ADAM: INTEGER;
   EVA: BOOLEAN;
   CAESAR[100]: INTEGER;
   DAVID[10]: BOOLEAN;
BEGIN
   ADAM:=CAESAR[ADAM];
   ADAM:=CAESAR[ADAM];
   IF ADAM = -20 THEN
     BEGIN
       EVA:=CAESAR[3*ADAM] > 17;
     END
   ELSE
     WHILE DAVID[5] DO
       ADAM:=ADAM*(5-ADAM/CAESAR[3]);
   DAVID[8]:=EVA OR (ADAM < 1000);
END
